Update product security
curl --request PUT \
--url https://api.komerza.com/stores/{storeId}/products/{productId}/security \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"shouldBlockVpns": true
}
'import requests
url = "https://api.komerza.com/stores/{storeId}/products/{productId}/security"
payload = { "shouldBlockVpns": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({shouldBlockVpns: true})
};
fetch('https://api.komerza.com/stores/{storeId}/products/{productId}/security', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Products
Update Product Security
Updates security information of a product.
Requires the stores.products.update permission.
PUT
/
stores
/
{storeId}
/
products
/
{productId}
/
security
Update product security
Authorizations
Your API key goes here
Path Parameters
The ID of the store.
The ID of the product to update.
Body
application/json
The UpdateProductSecurityForm with new details.
Form for update a products basic information in a store
Indicates whether VPN usage should be blocked on orders with this product or it's variants.
Response
The object was successfully updated.
Represents a default generic response for API endpoints.
Indicates whether the operation or response was successful.
A descriptive message providing additional context or information about the response.
The error code (if there was an error) to use when referencing the error
Represents the data associated with a response.
Last modified on August 2, 2026